
Installer - Bug #22940

foreman-installer does not create /usr/share/foreman/.postgresql/root.crt

03/20/2018 07:21 AM - Ales Dujicek

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version: 1.18.0   

Difficulty:  Fixed in Releases: 1.18.0

Triaged: No Found in Releases: Nightly

Bugzilla link: 1592681 Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/650

  

Description

foreman-installer does not create /usr/share/foreman/.postgresql/root.crt when --foreman-db-manage false is set

how to reproduce:

1. foreman-installer --scenario katello --foreman-db-manage false --foreman-db-host remote-db-host.redhat.com

--foreman-db-root-cert /usr/share/foreman/root.crt

[ WARN 2018-03-19T10:24:21 main] 

/Stage[main]/Foreman::Database/Foreman::Rake[db:migrate]/Exec[foreman-rake-db:migrate]/returns:

ActiveRecord::NoDatabaseError: root certificate file "/usr/share/foreman/.postgresql/root.crt" does not exist

2. ls /usr/share/foreman/.postgresql/root.crt

ls: cannot access /usr/share/foreman/.postgresql/root.crt: No such file or directory

version

foreman-installer-1.18.0-0.develop.201803160331giteb46741.el7.noarch

Related issues:

Related to Installer - Bug #20079: Foreman does not verify CA on postgres DB ... Closed 06/21/2017

Associated revisions

Revision b9371650 - 07/03/2018 08:03 PM - Ewoud Kohl van Wijngaarden

Fixes #22940 - Ensure the PG root cert is installed

When a remote database is used the postgres server is not managed. This

meant that the certificate was not placed. It's moved to the config

since it's a client config that always needs to happen.

History

#1 - 03/20/2018 07:21 AM - Ales Dujicek

- Related to Bug #20079: Foreman does not verify CA on postgres DB connections with SSL added

#2 - 06/19/2018 06:47 AM - Ales Dujicek

- Bugzilla link set to 1592681

#3 - 06/19/2018 07:02 AM - Ales Dujicek

- Subject changed from foreman-installer does create /usr/share/foreman/.postgresql/root.crt to foreman-installer does not create

/usr/share/foreman/.postgresql/root.crt

#4 - 06/19/2018 08:54 AM - Ivan Necas

- Project changed from Foreman to Installer

- Category set to Foreman modules

#5 - 07/03/2018 02:04 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/650 added

#6 - 07/03/2018 09:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman|b937165001aac788fbafef0422984a59edaeba87.

#7 - 07/12/2018 02:00 PM - Ewoud Kohl van Wijngaarden

- Target version set to 1.18.0

- Triaged set to No

#8 - 07/12/2018 02:01 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 1.18.0 added

Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman/revisions/b937165001aac788fbafef0422984a59edaeba87
http://www.tcpdf.org

